
/* 
 * LCAUView.h -- Interface file for the LCAUView class 
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to 
 * its fitness for any particular use, nor even that it has a use.
 *
 */

#import <appkit/appkit.h>

@interface LCAUView:View {

	id		sButton, pButton;
	id		aSwitch;
	id		basc;
	id		baux;
	id		dTwig;
	id		gridSize;
	id		haHa;
	id		keepTop;
	id		ascru,ruleSamples;
	id		wrule;
	id		rbutton,sbutton;
	id		ruleNumber;
	id		pslid;
	id		pswit;

	id		statEnpai;
	id		statEntro;
	id		statLamb;
	id		statLines;
	id		statPair;
	id		statProd;
	id		statState;
	id		statSDevi;
	id		statNhood;

	id		tiDat;
	id		valBx;
	id		varWindow;
	id		theEvolView;
	id		evolWindow;
	id		theShEvolView;
	id		theThEvolView;
	id		keyWindow;
	id		probWindow;
	id		plaidWindow;
	id		shEvolWindow;
	id		thEvolWindow;
	
	id		probEI, probGens, probFlip, probGrid;
	id		probComp, probLevel, probView;
	
	id		menuCopy;
	id		menuPrint;

	id		crossCursor;
	id		delegate;
}

- drawEvolu:sender;
- drawShEvol:sender;
- drawEvolu:sender;
- copyShEvol:sender;
- copyThEvol:sender;
- drawShEvol:sender;
- drawThEvol:sender;
- nxmoncar: (int) l;
- printEvolu:sender;
- printShEvol:sender;
- printThEvol:sender;
- prob:sender;

- probHowMany:sender;
- probSetBlk:sender;
- drawBlock:sender;
- drawNBlock:sender;
- showXBlock:sender;
- showBasin:sender;
- drawEntropy:sender;
- drawProb:sender;
- drawPlaid:sender;
- drawStat:sender;

- printEntropy:sender;
- printBlock:sender;
- printNBlock:sender;
- printXBlock:sender;
- printProb:sender;
- printPlaid:sender;
- printStat:sender;
- printTMatrix:sender;

- initFrame:(const NXRect *)frameRect;
- setDelegate:anObject;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- mouseDown:(NXEvent *)theEvent;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;
- awake;
- (const char *)inspectorName;

@end
